## mx4j.tools.adaptor.interceptor
Interface Invocable

All Known Subinterfaces:
  Interceptor, RemoteAdaptor

All Known Implementing Classes:
  AdaptorInterceptor, RMIAdaptor

public interface Invocable

Abstraction for object that may be invoked.

Version:
  $Revision: 1.3 $

Method Summary
`InvocationResult` `invoke(Invocation invocation)` Invocation method

Method Detail

### invoke

    public InvocationResult invoke(Invocation invocation)
                            throws java.lang.Exception

  Invocation method

  Throws:
    `java.lang.Exception`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.